Subject: bug#49271: 28.0.50: native-comp: Signing macOS self-contained .app bundle fails due to new *.eln location

From: Jim Myhrberg <[email-masked]>
Date: Wed, 30 Jun 2021 13:51:33 +0100

On Wed, Jun 30, 2021 at 1:42 PM Alan Third <[email-masked]> wrote:

> Jim, does putting them in Frameworks work or does that have signing
> implications too?

You must not have seen my email from a couple of minutes ago, I'm
afraid I tested Frameworks and it has the same folder naming issues.
>From the apps I poked around in, they've just put all their *.dylib
files directly in the root of the Frameworks directory.

> (None of this seems to matter at all on my machine, so I can't test it
> myself.)

What version of macOS/Xcode do you have? Case I've seen slight
differences in behavior with codesign on Catalina and Big Sur at least
(unrelated to the two dots issue though). I've written a small CLI
tool to make life easier for myself when it comes to signing, dmg
packaging, and notarizing Emacs. I'm happy to point you towards it if
you want.